Package com.smartgwt.client.types

# Enum NavigationDirection

java.lang.Object
java.lang.Enum<NavigationDirection>
com.smartgwt.client.types.NavigationDirection

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<NavigationDirection>`, `Constable`

public enum NavigationDirection extends Enum<NavigationDirection> implements ValueEnum
Navigation direction.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BACK`
  Back
  `FORWARD`
  Forward
  `NONE`
  none

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static NavigationDirection`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static NavigationDirection[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BACK

    public static final NavigationDirection BACK
    Back

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "back".

  - ### FORWARD

    public static final NavigationDirection FORWARD
    Forward

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "forward".

  - ### NONE

    public static final NavigationDirection NONE
    none

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

- ## Method Details

  - ### values

    public static NavigationDirection[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NavigationDirection valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`